package com.huimv.environment.repo;

import com.huimv.environment.entity.WarningInfoEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Date;
import java.util.List;

public interface WarningInfoEntityRepo extends JpaRepository<WarningInfoEntity, Integer>, JpaSpecificationExecutor<WarningInfoEntity> {

    List<WarningInfoEntity> findAllByUploadTimeBetween(Date startTime, Date endTime);
}